Mac test utility (#986)

A utility for running individual or all tests on a Mac dev machine without changing the test script.
This commit is contained in:
Vishal
2019-01-20 16:51:45 +05:30
committed by GitHub
parent e4746007da
commit 3c4fdb0659
15 changed files with 148 additions and 14 deletions
+3 -2
View File
@@ -9,8 +9,8 @@ set -euo pipefail
# 2. package watcher triggers the build if any changes to packages
ROOT=$(dirname $0)/../..
PYTHON_RUNTIME_IMAGE=gcr.io/fission-ci/python-env:test
PYTHON_BUILDER_IMAGE=gcr.io/fission-ci/python-env-builder:test
PYTHON_RUNTIME_IMAGE=${PYTHON_RUNTIME_IMAGE:-gcr.io/fission-ci/python-env:test}
PYTHON_BUILDER_IMAGE=${PYTHON_BUILDER_IMAGE:-gcr.io/fission-ci/python-env-builder:test}
fn=python-srcbuild-$(date +%s)
@@ -55,6 +55,7 @@ cleanup() {
log "Cleaning up..."
fission env delete --name python || true
fission fn delete --name $fn || true
rm demo-src-pkg.zip || true
}
if [ -z "${TEST_NOCLEANUP:-}" ]; then